Gemini 3 Pro Image Preview · Edit
Integracija
gemini-3-pro-image-preview/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/sl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "gemini-3-pro-image-preview/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
}
Pokličite model Gemini 3 Pro Image Preview · Edit (gemini-3-pro-image-preview/edit) prek Doitong API. Dokumentacija za agente: https://doitong.com/sl/developers/models/gemini-3-pro-image-preview/edit.md
POST https://api.doitong.com/v1/run/gemini-3-pro-image-preview/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}
Če je stanje odgovora "queued" ali "running", pošiljajte poizvedbe GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20, dokler ni "succeeded"; datoteke so v outputs[].url. POST https://api.doitong.com/v1/quote/gemini-3-pro-image-preview/edit z enakim telesom vrne natančno ceno pred zagonom.
Ta zahteva: 0,15 $ 150 API kreditov Zaženi na tej strani
Vaš novi ključ API. Prikazan je samo zdaj in je že v kodi ter v spodnjem polju ključa API. Hranite ga kot skrivnost: nikoli ga ne vključite v kodo, ki se izvaja v brskalniku.
Ustvarjeno v Doitong
Javna dela, ki jih je skupnost Doitong ustvarila z Gemini 3 Pro Image Preview. Poziv znova uporabite z enim klikom.
Strong rule: style --- 3d Pixar ---. Крупный план: Сая сладко спит в своей кроватке, её личико полностью расслаблено, губы слегка приоткрыты. Она укрыта мягким пледом с изображением звезд. Свет ночника создает длинные, мягкие тени на стене. Атмосфера абсолютного покоя, счастья и завершенности....
Strong rule: style --- 3d Pixar ---. Крупный план рук отца, которые аккуратно и медленно поправляют край вязаного шерстяного одеяла нежно-голубого цвета вокруг малыша. Фокус направлен на текстуру ткани и осторожные, любящие движения пальцев. Освещение мягкое, рассеянное, исходящее от приоткрытой...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Женщина-астролог слегка улыбается. В комнате становится заметно теплее по цвету. За панорамным окном город уже не холодный — мягкие, теплые вечерние огни. Character appearance reference (MUST match exactly): -...
Strong rule: style --- 3D Pixar ---. Крупный план лица Мирры в полумраке современной эзотерической студии. На фоне видны мерцающие свечи и антикварные зеркала, создающие глубокие тени. Освещение контрастное, боковое, подчеркивающее острые скулы и пронзительный взгляд. Атмосфера таинственная и...
Strong rule: style --- 3D Pixar ---. Зеркало в спальне с размытым отражением, ночным столиком, вазой цветов и приглушенным светом. Крупный план отражения в зеркале, слегка distorted. Мягкий лунный свет через занавески создает серебристые блики. Атмосфера меланхоличная и рефлексивная, полная...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Strong rule: style --- 3D Pixar ---. Тихая детская Pixar 3D, пастельный интерьер, окно с diffused светом, кровать с подушками, атмосфера паузы. Мама с закрытыми глазами, Саи смотрит вверх с лёгким напряжением. Средний план, высокий угол сверху, мягкий свет создаёт интимные тени. Атмосфера...
Strong rule: style --- 3d Pixar ---. Экстремальный макроплан: крошечная, розовая ладошка младенца крепко обхватывает указательный палец взрослого мужчины. Фон полностью размыт, превращаясь в мягкие световые пятна боке. Свет падает сверху, подчеркивая каждую складочку и крошечный ноготок на руке...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Женщина-астролог сидит за столом. На планшете — деловая переписка, графики роста. Холодный свет начинает смешиваться с более нейтральным балансом. Character appearance reference (MUST match exactly): - Астролог: Strong...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Крупный план лица женщины-астролога. Тёплый, насыщенный янтарный свет. В глазах — лёгкая интрига. Фон слегка затемняется для концентрации внимания. Рядом в расфокусе ярко горит свеча. Character appearance reference...
Strong rule: style --- Реалистичная 3D-анимация, Cinematic Lighting, P... ---. Крупный план лица женщины-астролога. Холодный свет почти исчез, но на фоне ещё остаётся лёгкая синяя глубина. Взгляд серьёзный, проницательный. Character appearance reference (MUST match exactly): - Астролог: Strong...
Strong rule: style --- 3D Pixar ---. Elena sitting at a small kitchen table, staring blankly at a massive mountain of school notebooks, holding a steaming mug of coffee, gloomy morning atmosphere, 3D Pixar style. Character appearance reference (MUST match exactly): - Елена: A 35-year-old woman,...
Full-body character reference of the character shown in the reference film frame: exactly the same design, shape, proportions, colors, materials, wear and markings. Standing, front three-quarter view, the whole figure in frame, neutral dark studio background, soft even light, photorealistic,...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...
Strong rule: style --- 3D Pixar ---. Общий план детской комнаты. Кроватка Алисы стоит в самом центре как островок тишины. Вокруг нее — настоящий вихрь из родителей, подгузников, бутылочек и детской одежды. Мама и папа застыли в динамичных, смешных позах, сталкиваясь друг с другом. Освещение...
Ustvari zahtevo
Kontrolniki se ustvarijo iz sheme modela. Koda in cena se posodobita, ko ju spreminjate.
/run/gemini-3-pro-image-preview/edit?wait=20
cena → 0,15 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/gemini-3-pro-image-preview/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/gemini-3-pro-image-preview/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "gemini-3-pro-image-preview/edit",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"images": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"wait_seconds": 20
}
}
}
Zaženi to zahtevo
Vaš ključ ostane v tem brskalniku: pošlje se samo v Doitong API in shrani v localStorage samo, če označite možnost Zapomni si. Pridobi ključ API
O modelu Gemini 3 Pro Image Preview · Edit
Uredi ali ponovno združi slike iz `image_urls` (obvezno) glede na `prompt`. `aspect_ratio` je privzeto auto, `resolution` je lahko 1K, 2K ali 4K, omogočite pa lahko tudi `system_prompt` in spletno iskanje. Vrne od 1 do 4 urejenih slik v PNG, JPEG ali WebP.
Parametri
Pošlji kanonično ali izvorno ime, ne obeh. Kanonična imena
promptobvezno
num_imagesneobvezno
num_outputs
seedneobvezno
aspect_rationeobvezno
output_formatneobvezno
safety_toleranceneobvezno
image_urlsobvezno
images
system_promptneobvezno
resolutionneobvezno
limit_generationsneobvezno
enable_web_searchneobvezno
Parametri datotek sprejmejo javni https:// URL, podatkovni URI data: do 10 MB ali file_url naložene datoteke. Datoteke
Izhod
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "gemini-3-pro-image-preview/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 150,
"usd": "0.15",
"charged": 150,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"image_urls": [
"https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
]
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"description": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Polja izhoda
- images
- array of object {url, content_type, file_name, file_size, width, height}Slike, nastale z urejanjem.
- description
- stringOpis, priložen ustvarjenim slikam.
Druge različice Gemini 3 Pro Image Preview
Več modelov: Urejanje slik
Za agente AI: ta stran je v obliki Markdown na voljo na https://doitong.com/sl/developers/models/gemini-3-pro-image-preview/edit.md. Vsi modeli in vodniki: https://doitong.com/developers/llms.txt






